# hoe-packaging

|What | Where |
|-----|--------|
| code | [https://github.com/saigkill/hoe-packaging] |
| docs | [https://github.com/saigkill/hoe-packaging/wiki] |
| apidoc | [http://www.rubydoc.info/gems/hoe-packaging] |
| bugs & feature requests | [https://github.com/saigkill/hoe-packaging/issues] |
| openhub statistics | [https://www.openhub.net/p/hoe-packaging] |
| authors blog | [https://saschamanns.de] |
| min. rubyver |  2.7.0 |

| What | Status |
|-------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
|last public version | [![Last Version](https://badge.fury.io/rb/hoe-packaging.png)](http://rubygems.org/gems/hoe-packaging) |
|downloads latest | [![Downloads latest](https://img.shields.io/gem/dtv/hoe-packaging.svg)](http://rubygems.org/gems/hoe-packaging)  |
|downloads all | [![Downloads all](https://img.shields.io/gem/dt/hoe-packaging.svg)](http://rubygems.org/gems/hoe-packaging) |
|code quality | [![Maintainability](https://api.codeclimate.com/v1/badges/5491c830409827e04868/maintainability)](https://codeclimate.com/github/saigkill/hoe-packaging/maintainability) |
|continuous integration | ![CI](https://github.com/saigkill/hoe-packaging/workflows/CI/badge.svg?branch=master&event=push) |
|dependencies|[![Dependabot Status](https://api.dependabot.com/badges/status?host=github&repo=saigkill/hoe-packaging)](https://dependabot.com) |
|security | [![Security](https://hakiri.io/github/saigkill/hoe-packaging/master.svg)](https://hakiri.io/github/saigkill/hoe-packaging/master/shield) |
|vulnerabilities|[![Known Vulnerabilities](https://snyk.io/test/github/saigkill/hoe-packaging/badge.svg?targetFile=Gemfile.lock)](https://snyk.io/test/github/saigkill/hoe-packaging?targetFile=Gemfile.lock) | 
|documentation quality | [![Documentation Quality](https://inch-ci.org/github/saigkill/hoe-packaging.svg?branch=master)](https://inch-ci.org/github/saigkill/hoe-packaging) |

## SCREENSHOT

[![Screenshot](https://saschamanns.de/img/screenshots/hoe-manns-screenshots.png)](https://github.com/saigkill/hoe-manns)

## DESCRIPTION

hoe-packaging is a plugin for the hoe ruby projecthelper ([https://github.com/seattlerb/hoe]). It provides creation of rpm and deb packages,
also a deployment to bintray.

The CHANGELOG.md contains a detailed description on what has changed.

hoe-packaging is released under the GPL3 License, see the file 'LICENSE.md' for more information.

The official web site is:

    [https://github.com/saigkill/hoe-packaging]

## FEATURES

* creating of deb & rpm packages
* deploying to bintray.

This Gem was programmed and tested for Linux systems. If anyone would like to make the methods also fit for other OS, i'm happy about Pull requests.

See the {Tracker}[https://github.com/saigkill/hoe-packaging/issues] for checking known issues.

## SYNOPSIS

Use in your Rakefile:

    Hoe.plugin :packaging

    Hoe.spec 'yourproject' do
    ...
    end

Also add hoe-packaging to your requirements and recreate your Gemfile.

Read the documentation at: [https://github.com/saigkill/hoe-packaging/wiki]

## REQUIREMENTS

* fpm
* fpm-cookery

## INSTALL

The installation is very easy.

    gem install hoe-packaging

## DEVELOPERS

After checking out the source, run:

  $ rake newb

This task will install any missing dependencies, run the tests/specs,
and generate the RDoc.
